package cn.hmsoft.weixin.data.model;

import java.io.Serializable;
import java.util.Date;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
 * 微信素材库
 * 
 * @author: Zhang XiaoQing
 * @date: 2016-08-17 21:07:45
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "WX_MATERIAL", keyColumn = "MEDIA_ID", sequenceName = "")
public class WxMaterial implements Serializable {
	private static final long serialVersionUID = 5945782306290656869L;
	private Integer wx_id;
	// 素材编号，对应微信上的素材编号
	private String media_id;
	// 素材名称
	private String name;
	// 素材地址
	private String url;
	// 更新时间
	private Date update_time;
	// 状态
	private String status;
	// 失效日期
	private Date invalid_time;
	// 素材类型
	private String material_type;
	private Integer local_file_id;

	public Integer getWx_id() {
		return wx_id;
	}

	public void setWx_id(Integer wx_id) {
		this.wx_id = wx_id;
	}

	/****
	 * 素材编号，对应微信上的素材编号
	 */
	public String getMedia_id() {
		return this.media_id;
	}

	/****
	 * 素材编号，对应微信上的素材编号
	 */
	public void setMedia_id(String media_id) {
		this.media_id = media_id;
	}

	/****
	 * 素材名称
	 */
	public String getName() {
		return this.name;
	}

	/****
	 * 素材名称
	 */
	public void setName(String name) {
		this.name = name;
	}

	/****
	 * 素材地址
	 */
	public String getUrl() {
		return this.url;
	}

	/****
	 * 素材地址
	 */
	public void setUrl(String url) {
		this.url = url;
	}

	/****
	 * 更新时间
	 */
	public Date getUpdate_time() {
		return this.update_time;
	}

	/****
	 * 更新时间
	 */
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/****
	 * 状态
	 */
	public String getStatus() {
		return this.status;
	}

	/****
	 * 状态
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	/****
	 * 失效日期
	 */
	public Date getInvalid_time() {
		return this.invalid_time;
	}

	/****
	 * 失效日期
	 */
	public void setInvalid_time(Date invalid_time) {
		this.invalid_time = invalid_time;
	}

	/****
	 * 素材类型
	 */
	public String getMaterial_type() {
		return this.material_type;
	}

	/****
	 * 素材类型
	 */
	public void setMaterial_type(String material_type) {
		this.material_type = material_type;
	}

	public Integer getLocal_file_id() {
		return this.local_file_id;
	}

	public void setLocal_file_id(Integer local_file_id) {
		this.local_file_id = local_file_id;
	}

	}

